<?php

/*===============================================*\
|| ############################################# ||
|| # JAKWEB.CH / Cron WP - HelpDesk Sync       # ||
|| # ----------------------------------------- # ||
|| # Copyright 2017 JAKWEB All Rights Reserved # ||
|| ############################################# ||
\*===============================================*/

$cron_url_orig = dirname(__file__) . DIRECTORY_SEPARATOR;
$cron_url = str_replace("include/", "", $cron_url_orig);

if (!file_exists($cron_url.'include/db.php')) die('cron.php] db.php not exist');
require_once $cron_url.'include/db.php';

if (!file_exists($cron_url.'class/class.db.php')) die('class/[cron.php] class.db.php not exist');
require_once $cron_url.'class/class.db.php';

// MySQLi connection
$jakdb = new jak_mysql(DB_HOST, DB_USER, DB_PASS, DB_NAME, DB_PORT);
$jakdb->set_charset("utf8");

$register_vars = $register_varso = array();

// Client Sync

// Client roles
$hdcrole = $jakdb->queryRow("SELECT option_value FROM wp_options WHERE option_name = 'WP2JAK_hdcrole' LIMIT 1");
$crole = explode(",", $hdcrole["option_value"]);
					
foreach ($crole as $v) {
					
	// Get the project ID's
	$cpid = 1;
	$hdcpid = false;
	$hdcpid = $jakdb->queryRow("SELECT option_value FROM wp_options WHERE option_name = 'WP2JAK_hdpid' LIMIT 1");
	if ($hdcpid) $cpid = $hdcpid["option_value"];

	// Get the general settings out the database
	$resultr = $jakdb->query('SELECT wp_users.user_login, wp_users.user_pass, wp_users.user_email FROM wp_users INNER JOIN wp_usermeta ON (wp_users.ID = wp_usermeta.user_id) WHERE wp_usermeta.meta_key = "wp_capabilities" AND wp_usermeta.meta_value LIKE "%'.$v.'%"');
    while ($user = $resultr->fetch_assoc()) {
							
		// Now we check if each client is already available in HelpDesk
		$result = $jakdb->queryRow("SELECT id, wp_pass FROM ".DB_PREFIX."clients WHERE email = '{$user["user_email"]}' LIMIT 1");
								
		if (!$result) {
								
			// Let's get the hashed password
			$hdpass = hash_hmac('sha256', $user["user_pass"], DB_PASS_HASH);
								
			//add
			$register_vars = array(
				'projects' => "'{$cpid}'",
				'name' => "'{$user["user_login"]}'",
				'email' => "'{$user["user_email"]}'",
				'password' => "'{$hdpass}'",
				'wp_pass' => "'{$user["user_pass"]}'",
				'time' => 'NOW()',
				'access' => '1',
				'achat' => '1',
				'asupport' => '1',
				'afaq' => '1',
			);
									
			
			$jakdb->query("INSERT INTO " . DB_PREFIX . "clients (" . implode(', ', array_keys($register_vars)) . ") VALUES (" . implode(', ', $register_vars) . ")");
									
			// Get the created operators in a list
			// $oupdated[] = $user->user_login;
								
		} else {
			
			if (empty($result["wp_pass"])) { 
				
				$jakdb->query("UPDATE " . DB_PREFIX . "clients SET wp_pass = '{$user->user_pass}' WHERE id = '{$result["id"]}'");
										
				// Get the created operators in a list
				//$oupdated[] = $user->user_login." (added WP Password)";
			}
		}
	}
}

// Operator Sync

// Client roles
$hdorole = $jakdb->queryRow("SELECT option_value FROM wp_options WHERE option_name = 'WP2JAK_hdorole' LIMIT 1");
$orole = explode(",", $hdorole["option_value"]);
					
foreach ($orole as $v) {

	// Get the general settings out the database
	$resultr = $jakdb->query('SELECT wp_users.user_login, wp_users.user_pass, wp_users.display_name, wp_users.user_email FROM wp_users INNER JOIN wp_usermeta ON (wp_users.ID = wp_usermeta.user_id) WHERE wp_usermeta.meta_key = "wp_capabilities" AND wp_usermeta.meta_value LIKE "%'.$v.'%"');
    while ($user = $resultr->fetch_assoc()) {
							
		// Now we check if each client is already available in HelpDesk
		$result = $jakdb->queryRow("SELECT id, wp_pass FROM ".DB_PREFIX."user WHERE email = '{$user["user_email"]}' LIMIT 1");
								
		if (!$result) {
								
			// Let's get the hashed password
			$hdpass = hash_hmac('sha256', $user["user_pass"], DB_PASS_HASH);
								
			//add
			$register_varso = array(
				'name' => "'{$user["display_name"]}'",
				'username' => "'{$user["user_login"]}'",
				'email' => "'{$user["user_email"]}'",
				'password' => "'{$hdpass}'",
				'wp_pass' => "'{$user["user_pass"]}'",
				'time' => 'NOW()',
				'access' => '1',
				'achat' => '1',
				'asupport' => '1',
				'afaq' => '1',
			);
									
			
			$jakdb->query("INSERT INTO " . DB_PREFIX . "user (" . implode(', ', array_keys($register_varso)) . ") VALUES (" . implode(', ', $register_varso) . ")");
									
			// Get the created operators in a list
			// $oupdated[] = $user->user_login;
								
		} else {
			
			if (empty($result["wp_pass"])) { 
				
				$jakdb->query("UPDATE " . DB_PREFIX . "user SET SET name = '{$user["display_name"]}', wp_pass = '{$user["user_pass"]}' WHERE id = '{$result["id"]}'");
										
				// Get the created operators in a list
				//$oupdated[] = $user->user_login." (added WP Password)";
			}
		}
	}
}

?>